# Generated by Django 4.2 on 2023-07-26 10:25

import common.utils
import django.core.validators
from django.db import migrations, models


class Migration(migrations.Migration):
    dependencies = [
        ("contracts", "0027_contract_chrono_no"),
    ]

    operations = [
        migrations.AlterField(
            model_name="contract",
            name="acc_name",
            field=models.CharField(max_length=100),
        ),
        migrations.AlterField(
            model_name="contract",
            name="acc_no",
            field=models.CharField(max_length=40),
        ),
        migrations.AlterField(
            model_name="contract",
            name="bank_details_proof",
            field=models.FileField(
                default=None,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "bank_details_proof_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="contract",
            name="current_address",
            field=models.TextField(),
        ),
        migrations.AlterField(
            model_name="contract",
            name="cv",
            field=models.FileField(
                default=None,
                upload_to=common.utils.UploadToPathAndRename("contracts/", "cv_"),
                validators=[
                    django.core.validators.FileExtensionValidator(["pdf"]),
                    common.utils.MaxSizeValidator("10MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="contract",
            name="pan",
            field=models.CharField(max_length=255),
        ),
        migrations.AlterField(
            model_name="contract",
            name="permanent_address_proof",
            field=models.FileField(
                default=None,
                upload_to=common.utils.UploadToPathAndRename(
                    "contracts/", "permanent_address_"
                ),
                validators=[
                    django.core.validators.FileExtensionValidator(
                        ["pdf", "jpeg", "jpg"]
                    ),
                    common.utils.MaxSizeValidator("5MB"),
                ],
            ),
        ),
        migrations.AlterField(
            model_name="contract",
            name="phone_number",
            field=models.CharField(max_length=255),
        ),
    ]
